gnutls_check_version(3)

NAME
gnutls_check_version - check the library's version

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    the version to check

DESCRIPTION
Check that the version of the library is at minimum the requested one and return the version string; return NULL if the condition is not satisfied. If a NULL is passed to this function, no check is done, but the version string is simply returned. See LIBGNUTLS_VERSION for a suitable req_version string.

RETURN VALUE
Version string of run-time library, or NULL if the run-time library does not meet the required version number. If NULL is passed to this function no check is done and only the version string is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.